﻿using System;
using System.Windows.Forms;
using MetroFramework.Forms;

namespace Учет_вещей
{
    public partial class LoginForm : MetroForm
    {
        public User CurrentUser { get; private set; }

        public LoginForm()
        {
            InitializeComponent();

            // Настройка темы и стиля
            this.Theme = MetroFramework.MetroThemeStyle.Light;
            this.Style = MetroFramework.MetroColorStyle.Blue;
            this.Text = "Авторизация";
        }

        private void btnLogin_Click(object sender, EventArgs e)
        {
            string username = txtUsername.Text;
            string password = txtPassword.Text;

            if (string.IsNullOrEmpty(username) || string.IsNullOrEmpty(password))
            {
                MetroFramework.MetroMessageBox.Show(this,
                    "Пожалуйста, заполните все поля",
                    "Ошибка",
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Warning);
                return;
            }

            CurrentUser = DbManager.Authenticate(username, password);

            if (CurrentUser != null)
            {
                DialogResult = DialogResult.OK;
                Close();
            }
            else
            {
                MetroFramework.MetroMessageBox.Show(this,
                    "Неверное имя пользователя или пароль",
                    "Ошибка авторизации",
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Error);
                txtPassword.Clear();
                txtUsername.Focus();
            }
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }
    }
}
