﻿using System;

namespace Учет_вещей
{
    // Перечисление для типов оборудования
    public enum DeviceType
    {
        Компьютер,
        Ноутбук,
        Монитор,
        Принтер,
        Сканер,
        МФУ,
        Проектор,
        Другое
    }

    // Перечисление для состояния техники
    public enum DeviceState
    {
        Исправен,
        Ремонт,
        Списан
    }

    // Класс для хранения данных о технике
    public class Device
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string InventoryNumber { get; set; }
        public DeviceType Type { get; set; }
        public string Location { get; set; }
        public string ResponsiblePerson { get; set; }
        public DeviceState State { get; set; }
        public DateTime RegistrationDate { get; set; }

        public string TypeString => Type.ToString();
        public string StateString => State.ToString();
    }

    // Класс для пользователей
    public enum UserRole
    {
        User,
        Admin
    }

    public class User
    {
        public string Username { get; set; }
        public string Password { get; set; }
        public UserRole Role { get; set; }
    }
}
